## org.hibernate
Class PessimisticLockException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.JDBCException
                          org.hibernate.PessimisticLockException

All Implemented Interfaces:
  Serializable

    public class PessimisticLockException

extends JDBCException

Thrown when a pessimistic locking conflict occurs.

See Also:
  Serialized Form

Constructor Summary
`PessimisticLockException(String s, SQLException se, String sql)`

Method Summary

Methods inherited from class org.hibernate.JDBCException
`getErrorCode, getSQL, getSQLException, getSQLState`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PessimisticLockException

    public PessimisticLockException(String s,
                                    SQLException se,
                                    String sql)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.